Agents

List published agent versions (Preview)

Preview · Available to selected organizations. Returns an agent's published versions, newest first, without their definitions. Pass nextCursor back as cursor for the next page.

GET
/v1/agents/{id}/versions

Returns an agent's published versions, newest first, without their definitions. Pass nextCursor back as cursor for the next page.

x-api-key<token>

In: header

Path Parameters

id*string
Match^agt_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

limit?string|null
cursor?VersionCursor|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agents/string/versions"
{  "items": [    {      "agentId": "string",      "version": -9007199254740991,      "publishedAt": "string"    }  ],  "nextCursor": "string"}

Related documentation